Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.async
Class XSLTransformerErrorEvent

`java.lang.Object
java.util.EventObject
oracle.xml.async.XSLTransformerErrorEvent`

All Implemented Interfaces:
  java.io.Serializable

      public class XSLTransformerErrorEvent

extends java.util.EventObject

The error event object that XSLTransformer uses to notify all registered listeners about transformation error events.

See Also:
  Serialized Form

Field Summary
`protected java.lang.Exception` `e` The exception being raised.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`XSLTransformerErrorEvent(java.lang.Object p0, java.lang.Exception e)` Constructor for XSLTransformerErrorEvent.

Method Summary
`java.lang.Exception` `getException()` Returns the exception that XSLTransformer encountered object unique id.
`java.lang.String` `getMessage()` Returns the error message that describes the error that XSLTransformer encountered

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### e

    protected java.lang.Exception e

  The exception being raised.

Constructor Detail

### XSLTransformerErrorEvent

    public XSLTransformerErrorEvent(java.lang.Object p0,
                                    java.lang.Exception e)

  Constructor for XSLTransformerErrorEvent.
  Parameters:
    `p0` - The `Object` that created this event
    `e` - The `Exception` raised.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the error message that describes the error that XSLTransformer encountered
  Returns:
    The error message

### getException

    public java.lang.Exception getException()

  Returns the exception that XSLTransformer encountered object unique id. Can be used to
  Returns:
    The transformation exception

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.